#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp var_k10=0; 
   jsp var_k20=0; 
   jsp var_E1=0; 
   jsp var_E2=0; 
   jsp var_DH1=0; 
   jsp var_DH2=0; 
   jsp var_R=0; 
   jsp var_cBin=0; 
   jsp var_CtoK=0; 
   jsp par_F=0; 
   jsp par_T=0; 
   jsp var_cA=0; 
   jsp der_var_cA=0; 
   jsp var_cB=0; 
   jsp der_var_cB=0; 
   jsp var_cC=0; 
   jsp der_var_cC=0; 
   jsp var_V=0; 
   jsp der_var_V=0; 
   jsp var_k1=0; 
   jsp der_var_k1=0; 
   jsp var_k2=0; 
   jsp der_var_k2=0; 
   jsp var_Q=0; 
   jsp der_var_Q=0; 
   jsp var_Obj=0; 
   jsp der_var_Obj=0; 
   jsp var_div0=0; 
   jsp var_div1=0; 
   jsp var_div2=0; 
   jsp var_i_expr=0; 
   jsp var_div3=0; 
   jsp var_exp4=0; 
   jsp var_i_expr5=0; 
   jsp var_i_expr7=0; 
   jsp var_div6=0; 
   jsp var_exp8=0; 
   jsp var_i_expr9=0; 
   jsp var_i_expr11=0; 
   jsp var_i_expr12=0; 
   jsp var_div10=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   var_k10=4;
   var_k20=800;
   var_E1=6000;
   var_E2=20000;
   var_DH1=0-30000;
   var_DH2=0-10000;
   var_R=8.31;
   var_cBin=20;
   var_CtoK=273;
   par_F=p[0];
   par_T=p[1];
   var_cA=x[0];
   der_var_cA=der_x[0];
   var_cB=x[1];
   der_var_cB=der_x[1];
   var_cC=x[2];
   der_var_cC=der_x[2];
   var_V=x[3];
   der_var_V=der_x[3];
   var_k1=x[4];
   der_var_k1=der_x[4];
   var_k2=x[5];
   der_var_k2=der_x[5];
   var_Q=x[6];
   der_var_Q=der_x[6];
   var_Obj=x[7];
   der_var_Obj=der_x[7];
   jsp_acs_div(par_F,var_V,var_div0);
   yy[i_E]=der_var_cA-(0-var_k1*var_cA*var_cB-var_div0*var_cA);
   i_E=i_E+1;
   jsp_acs_div(par_F,var_V,var_div1);
   yy[i_E]=der_var_cB-(0-var_k1*var_cA*var_cB+var_div1*(var_cBin-var_cB));
   i_E=i_E+1;
   jsp_acs_div(par_F,var_V,var_div2);
   yy[i_E]=der_var_cC-(var_k1*var_cA*var_cB-var_k2*var_cC-var_div2*var_cC);
   i_E=i_E+1;
   yy[i_E]=der_var_V-(par_F);
   i_E=i_E+1;
   var_i_expr=(var_R*(par_T+var_CtoK));
   jsp_acs_div(var_E1,var_i_expr,var_div3);
   var_i_expr5=0-var_div3;
   jsp_acs_exp(var_i_expr5,var_exp4);
   yy[i_E]=var_k1-(var_k10*var_exp4);
   i_E=i_E+1;
   var_i_expr7=(var_R*(par_T+var_CtoK));
   jsp_acs_div(var_E2,var_i_expr7,var_div6);
   var_i_expr9=0-var_div6;
   jsp_acs_exp(var_i_expr9,var_exp8);
   yy[i_E]=var_k2-(var_k20*var_exp8);
   i_E=i_E+1;
   var_i_expr11=(0-var_DH1*var_k1*var_cA*var_cB*var_V-var_DH2*var_k2*var_cC*var_V);
   var_i_expr12=100000;
   jsp_acs_div(var_i_expr11,var_i_expr12,var_div10);
   yy[i_E]=var_Q-(var_div10);
   i_E=i_E+1;
   yy[i_E]=var_Obj-(0-var_cC*var_V);
   i_E=i_E+1;
   n_c=i_C;
}
